{% extends "base.html" %} {% load staticfiles %}
{% block title %} 用户信息 {% endblock title %}
{% block content %}
<style>
	img.pos_top
	{
		position:relative;
		top:-460px;
	}
	</style>
<br>
<br>
<div class="container-fluid">
	<div class="row ">
		<!--分成两份2-10-->
		<div class="col-md-2 col-sm-2">
			<!--第一个列，2/12，中间嵌套一个行，-->
			<div class="row">
				<div class="col-md-8 col-sm-8">
					<ul class="nav nav-sidebar">
						<li><button type="button" class="btn btn-light"><a href="{% url 'userprofile:profile_update' user.id %}">更改个人信息</a></button></li>
						<li><button type="button" class="btn btn-light"><a href="#">修改个人密码</a></button></li>
					</ul>
                </div>
            </div>   
		</div>

		<div class="offset-2">

		<!--修改密码-->
		<form method="post" action="." enctype="multipart/form-data">
				{% csrf_token %}
                <!--旧密码-->
				<div class="form-group mt-4 mb-4">
					 <label for="old_password">原密码</label>
					 <input type="password" class="form-control" id="old_password" name="old_password" required>
				</div>

				<!--新密码-->
				<div class="form-group mt-4 mb-4">
					 <label for="new_password">现密码</label>
					 <input type="password" class="form-control" id="new_password" name="new_password" required>
				</div>

				<!-- 确认新密码 -->
                <div class="form-group mt-4 mb-4">
                    <label for="new_password2">确认密码</label>
                    <input type="password" class="form-control" id="new_password2" name="new_password2" required>
				</div>
					
                <!-- 提交按钮 -->
				 <button type="submit" class="btn btn-primary">更改密码</button>
			</form>
		</div>
	</div>
</div>
{% if messages %}
<!--信息弹框形式-->
<script>
    {% for msg in messages %}
        alert('{{ msg.message }}');
    {% endfor %}
</script>
{% endif %}

{% endblock content %}

